Page MenuHomePhabricator

most ways to get list of users in Global groups broken (tracking)
Closed, ResolvedPublic

Description

Currently the easiest and most common ways of finding who belongs to a global group appear to be broken. I'm not sure if this is 1 issue or multiple so going to walk through a couple different ways to replicate using the 'staff' global group as an example.

A: Try to see list of global users with the staff right by going to Special:GlobalUsers/Staff (such as https://meta.wikimedia.org/wiki/Special:GlobalUsers/Staff ).

Expected: List of users who have the global 'staff' flag. (similar to if you go to Special:ListUsers/sysop you get a list of local sysops)

Received: List of users who have the global 'staff' flag and are alphabetically after an invisible User:Staff (The group drop down box is selected as Staff and the 'Display users starting at:' is prefilled with 'Staff'

B: Try to see list of global users with the staff right by:

  • Going to Special:GlobalUsers
  • Selecting 'Staff' from the drop down box for the 'Group' drop down box
  • Press 'go'

(similar to if you go to Special:ListUsers and select 'sysop' from the group drop down and press go you get a list of local sysops).

Expected: List of users who have the global 'staff' flag. (similar to if you go to Special:ListUsers/sysop you get a list of local sysops)

Received: Empty list with url https://meta.wikimedia.org/w/index.php?title=Special%3AListUsers&username=&group=Staff&limit=50 (The group drop down box is reset to the default '(all)' setting and nothing is in the 'Display users starting at:' box.

C: Try to see list of global users with the staff right by viewing the staff global group at https://meta.wikimedia.org/wiki/Special:GlobalGroupPermissions/Staff and clicking 'List of users with Staff rights'.

Expected: List of users who have the global 'staff' flag. (similar to if you go to Special:ListUsers/sysop you get a list of local sysops)

Recieved: See letter A above (redirected to Special:GlobalUsers/Staff )

So far the only work around I've found is to use Special:GlobalUsers?group=Staff for a certain group. (there is no direct link to that that I know of.


Version: unspecified
Severity: major

Details

Reference
bz34258

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 12:15 AM
bzimport set Reference to bz34258.
bzimport added a subscriber: Unknown Object (MLST).
Reedy added a comment.Feb 8 2012, 1:09 AM

This sounds vaguely familiar to a bug we had in core.. I think..

A is bug 34016.
B is bug 31638.
C is A.

Note that there are more; this bug should be either considered a tracking bug or closed as a duplicate of bug 34016.

hoo added a comment.Jan 1 2013, 9:23 PM

All mentioned bugs have been fixed